%
% Exercise 05
% Boost Converter with PCM Control
% 
% Power Electronics
% Department of Power Electronics and Electrical Drives
%
% University of Paderborn
%
% 16.05.2015



clear all;
close all;

%% Boost Converter - Parameters:
T_S = 1/100000;         % Switching period
L = 49e-6;              % Inductance
C = 0.001;             % Output Capacitor
v_out = 400;            % Output Voltage
v_in = 100;             % Input Voltage
I_out = 30;

R = v_out/I_out;         % Load Resistor



%% Voltage Controller - Parameters:
k_pu = 7.8988;
T_nu = 1/(2*pi*1000);





